Announcement

#1 2014-05-01 19:35:16

kenl
Member
2013-01-12
91

[resolved] Unable to install/update plug-ins after Ubuntu OS update

Hello,

Sorry to bother you with what may be an Ubuntu issue more than a Piwigo issue.  I recently updated my server from Ubuntu 12.04 to 14.04.  Piwigo works fine except:  I can no longer update or install extensions.

When trying to update an extension I see a dialog box shown that says:  "Error/An Error Occured."  When I try to install a new extension I see the error:  "Abort pclzip.lib.php : Missing zlib extensions"

So, for the "missing zlib extensions" on the phpinfo page I see:

Registered PHP Streams:  https, ftps, compress.zlib, compress.bzip2, php, file, glob, data, http, ftp, phar, zip

Registered Stream Filters:  zlib.*, bzip2.*, convert.iconv.*, string.rot13, string.toupper, string.tolower, string.strip_tags, convert.*, consumed, dechunk

ZLib Version:  1.2.8

zlib
ZLib Support            enabled
Stream Wrapper     compress.zlib://
Stream Filter             zlib.inflate, zlib.deflate
Compiled Version     1.2.8
Linked Version     1.2.8


Directive                                                     Local Value        Master Value
zlib.output_compression                             On                        On
zlib.output_compression_level                     -1                        -1
zlib.output_handler                                     no value                no value

Has anyone seen this or do you have an suggestion for debugging?

Thanks for the help,
KenL

Piwigo version: 2.6.2
PHP version: 5.5.9-1ubuntu4
MySQL version: 5.5.37-0ubuntu0.14.04.1
Piwigo URL: private

Offline

 

#2 2014-05-02 20:35:10

kenl
Member
2013-01-12
91

Re: [resolved] Unable to install/update plug-ins after Ubuntu OS update

Hello All,

The problem was related to the version of PHP installed, version 5.5.9.   I updated to version 5.5.11 and now extensions install correctly.  Currently, 5.5.11 is NOT distributed through the default Ubuntu repository.  I found this reference useful:

http://askubuntu.com/questions/109404/h … n-ubuntu-1

Regards,
KenL

Last edited by kenl (2014-05-02 20:36:55)

Offline

 

Board footer

Powered by FluxBB

github twitter newsletter Donate Piwigo.org © 2002-2023 · Contact